pydo.volume_snapshots.get_by_id()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.volume_snapshots.get_by_id(
    snapshot_id="fbe805e8-866b-11e6-96bf-000f53315a41",
)
Returns JSONRaises HttpResponseError

Description

To retrieve the details of a snapshot that has been created from a volume, send a GET request to /v2/volumes/snapshots/{snapshot_id}.

Parameters

snapshot_id string required

The unique identifier for the snapshot.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "name": "big-data-snapshot1475261774"
}

resp = client.volume_snapshots.get_by_id(snapshot_id="da3aa3a")

Response Example

Show Response Example
{
  "snapshot": {
    "id": "8fa70202-873f-11e6-8b68-000f533176b1",
    "name": "big-data-snapshot1475261774",
    "regions": [
      "nyc1"
    ],
    "created_at": "2020-09-30T18:56:14Z",
    "resource_id": "82a48a18-873f-11e6-96bf-000f53315a41",
    "resource_type": "volume",
    "min_disk_size": 10,
    "size_gigabytes": 10,
    "tags": [
      "aninterestingtag"
    ]
  }
}

More Information

See /v2/volumes/snapshots/{snapshot_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.